﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace SilverlightNavigationApp.Views
{
    public partial class ProductList : Page
    {
        public ProductList()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(((Button)sender).Tag as Uri);
        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            CollectionViewSource source = this.Resources["ViewSource"] as CollectionViewSource;
            source.View.Refresh();
        }
        private void MyFilter(object sender, FilterEventArgs e)
        {
            Product product = e.Item as Product;
            if (FilterBox != null)
            {
                e.Accepted = product.ProductName.ToUpper().Contains(FilterBox.Text.ToUpper()) ||
                    product.ProductDescription.ToUpper().Contains(FilterBox.Text.ToUpper());
            }
            else
                e.Accepted = true;
        }
    }
}
