﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightNavigationApp.Views
{
    public partial class ProductDetail : Page
    {
        public ProductDetail()
        {
            InitializeComponent();
        }
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            string productId = this.NavigationContext.QueryString["ProductId"].ToString();
            SilverlightNavigationApp.ProductList list = (SilverlightNavigationApp.ProductList)App.Current.Resources["ProductList"];
            Product product = (from one in list
                               where one.ProductId == productId
                               select one).FirstOrDefault();
            this.DataContext = product;
        }
    }
}
